ipe::BitmapFinder Class Reference
Ipe Utilities

`#include <ipeutils.h>`

Inherits ipe::Visitor.

## Public Member Functions

void | scanPage (const Page *page)
virtual void | visitGroup (const Group *obj)
virtual void | visitImage (const Image *obj)
Public Member Functions inherited from ipe::Visitor
virtual | ~Visitor ()
virtual void | visitPath (const Path *obj)
virtual void | visitText (const Text *obj)
virtual void | visitReference (const Reference *obj)

## Public Attributes

std::vector< Bitmap > | iBitmaps

## Detailed Description

A visitor that recursively scans objects and collects all bitmaps.

## Member Function Documentation

## scanPage()

void BitmapFinder::scanPage | ( | const Page * | page | ) |

References ipe::Object::accept(), ipe::Page::count(), and ipe::Page::object().

Referenced by ipe::PdfWriter::createPageView(), ipe::Document::findBitmaps(), and ipe::Page::saveAsIpePage().

## visitGroup()

void BitmapFinder::visitGroup | ( | const Group * | obj | ) |

virtual

Called on an Group object.

Reimplemented from ipe::Visitor.

References ipe::Group::begin(), and ipe::Group::end().

## visitImage()

void BitmapFinder::visitImage | ( | const Image * | obj | ) |

virtual

Called on an Image object.

Reimplemented from ipe::Visitor.

References ipe::Image::bitmap(), and iBitmaps.

## Member Data Documentation

## iBitmaps

std::vector<Bitmap> ipe::BitmapFinder::iBitmaps

Referenced by ipe::Document::findBitmaps(), ipe::PdfWriter::PdfWriter(), ipe::Page::saveAsIpePage(), ipe::StyleSheet::saveAsXml(), ipe::Document::saveAsXml(), ipe::Page::saveSelection(), and visitImage().

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp